apply from: rootProject.file('cc-settings.gradle')
apply from: rootProject.file('common-build.gradle')
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
android {

    compileSdkVersion rootProject.target_sdk_version

    defaultConfig {
        minSdkVersion rootProject.min_sdk_version
        targetSdkVersion rootProject.target_sdk_version
        versionCode rootProject.application_version_code
        versionName rootProject.application_version_name
        multiDexEnabled true
        manifestPlaceholders = [
                JPUSH_PKGNAME : 'com.quansu.heifengwuliu',
                JPUSH_APPKEY : "fe6707d0979ba5e2059b8fb9",//值来自开发者平台取得的AppKey
                JPUSH_CHANNEL: "default_developer",
        ]
        ndk {
            //设置支持的SO库架构
            abiFilters "armeabi-v7a"
        }

    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

}
dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])

    implementation 'cn.jiguang.sdk:jverification:2.6.4'  // 此处以2.6.4 版本为例。
    implementation 'cn.jiguang.sdk:jcore:2.3.4'  // 此处以JCore 2.3.4 版本为例。
    implementation 'androidx.multidex:multidex:2.0.0'
    implementation project(':base')




}
